Bug 13686 - Add a hint about collation to the "alphabet" syspref
Summary: Add a hint about collation to the "alphabet" syspref
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Viktor Sarge
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-10 12:50 UTC by Viktor Sarge
Modified: 2015-12-03 22:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13686 Add a hint about collation to the "alphabet" syspref (1.53 KB, patch)
2015-02-10 13:05 UTC, Viktor Sarge
Details | Diff | Splinter Review
Bug 13686 Add a hint about collation to the alphabet syspref (1.84 KB, patch)
2015-02-10 21:34 UTC, Viktor Sarge
Details | Diff | Splinter Review
Bug 13686 Add a hint about collation to the alphabet syspref (1.83 KB, patch)
2015-02-11 09:47 UTC, Viktor Sarge
Details | Diff | Splinter Review
Bug 13686 Add a hint about collation to the alphabet syspref (1.82 KB, patch)
2015-02-11 12:05 UTC, Viktor Sarge
Details | Diff | Splinter Review
Bug 13686 Add a hint about collation to the alphabet syspref (1.46 KB, patch)
2015-02-16 21:04 UTC, Viktor Sarge
Details | Diff | Splinter Review
[Signed-off] Bug 13686 Add a hint about collation to the alphabet syspref (1.64 KB, patch)
2015-02-16 21:45 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13686 Add a hint about collation to the alphabet syspref (1.73 KB, patch)
2015-02-19 14:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13686: Change wording (1.32 KB, patch)
2015-02-19 14:36 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Sarge 2015-02-10 12:50:13 UTC
Today it's possible to define your own alphabet in the I18N/L10N preferences. This shows up in members-home.pl and lets you browse patrons. If you define an alphabet outside of the A-Z comfort zone (as in swedish with additional characters Å,Ä,Ö at the end) then the browsing will mix together for example Å,Ä,A and only view the additional letters as diacritics. A quick solution is to change the collation in the database but there is nothing in the syspref explaining this. My ambition here is to give users a quick hint that this can be done.
Comment 1 Viktor Sarge 2015-02-10 13:05:28 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-02-10 14:35:06 UTC
Hi Viktor,

The text does not display at all, only the form field is visible. 
Reason: The text contains a colon (:), that breaks the display. 
Solution: Put the text in quotes.

Marc
Comment 3 Viktor Sarge 2015-02-10 21:34:46 UTC Comment hidden (obsolete)
Comment 4 Viktor Sarge 2015-02-10 21:36:51 UTC
I also learned not to put anything outside of A-Z in the commit messages. Had to learn how to use --amend in git :)
Comment 5 Marc Véron 2015-02-11 07:39:20 UTC
Hi Viktor,

You can put qoutes around the whole text and leave the colon (:) in it:	

        - "for lists of browsable letters. This should be a space separated list of uppercase letters. Hint: Changing collation in the database for the surname column of members is helpful to make browsing by last name work in members-home.pl when using an alphabet outside of A-Z."
Comment 6 Viktor Sarge 2015-02-11 09:47:46 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2015-02-11 10:11:08 UTC
Hi Viktor,

This patch seems to be on top of the first (obsoleted) patch and does not apply.

I think the best way to resolve is to obsolete this latest patch and reactivate the very first patch.

Then add the double quotes, do git add for the changed file and then do 
git commit --amend
Comment 8 Viktor Sarge 2015-02-11 12:05:11 UTC Comment hidden (obsolete)
Comment 9 Viktor Sarge 2015-02-11 12:32:44 UTC
Hm. When applying the patch on a new branch with git bz after having marked the first one as active and run --amend it still wants to apply both patches. Using interactive mode I tried to get attachment 35825 [details] [review] but that only messed up things with markup code in the .pref file. Will try to deactivate the first one again and hopefully leave 35825 applicable.
Comment 10 Magnus Enger 2015-02-16 20:33:34 UTC
No patches to sign off at the moment. Viktor: Maybe do a new patch from scratch? :-)
Comment 11 Viktor Sarge 2015-02-16 21:04:37 UTC Comment hidden (obsolete)
Comment 12 Viktor Sarge 2015-02-16 21:09:02 UTC
Ok - new attempt from a new branch after cleaning out my entire local Git. I don't have very high hopes, but it looks ok and seem to apply without complaints now. Fingers crossed and thanks for the patience.
Comment 13 Marc Véron 2015-02-16 21:45:06 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2015-02-19 14:13:45 UTC
Created attachment 36038 [details] [review]
Bug 13686 Add a hint about collation to the alphabet syspref

New attempt from a fresh branch.

Test plan:
* Look at the alphabet syspref.
* Install the patch.
* Look again at the alphabet syspref and you should see a short hint about collation.

Thanks for the patience - I already learned a few new things about Git with this patch.

Text appears as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: add a br tag
Comment 15 Jonathan Druart 2015-02-19 14:32:36 UTC
oleonard: Joubu: I suggest "Changing collation in the database for the 'surname' column of the 'borrowers' table is helpful to make browsing by last name work in members-home.pl when using an alphabet outside of A-Z"
oleonard: I don't like referring to "members-home.pl" but I don't know a better way to say it.
Comment 16 Jonathan Druart 2015-02-19 14:36:30 UTC
Created attachment 36040 [details] [review]
Bug 13686: Change wording

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 17 Tomás Cohen Arazi 2015-03-31 14:56:19 UTC
Patches pushed to master.

Thanks Viktor!
Comment 18 Chris Cormack 2015-04-06 08:38:47 UTC
Pushed to 3.18.x will be in 3.18.6